BackendHTTP APIConnections
Patch a connection
Requires an API key with the environment:connections:update scope. Learn more about API key scopes.
PATCH
Edit a connection
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
connectionId*stringThe connection ID used to create the connection.
provider_config_key*stringThe integration ID used to create the connection (aka Unique Key).
application/json- body
tags?Connection tags (key/value strings). Keys are normalized to lowercase.
Properties
properties <= 10webhook_url_override?stringOverride the environment's webhook URLs for this connection. When set, this connection's webhooks are sent only to this URL. Pass an empty string to clear the override.
end_user?DeprecatedDeprecated, use tags instead
Successfully updated the connection
application/json- response
success?booleancurl -X PATCH 'https://api.tenklo.dev/connections/string?provider_config_key=string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "success": true}